// ID:ID, Name:礼包名称, Display:前端显示, ItemId:奖励物品ID, ItemCount:奖励物品数量, FloatingReward:浮动奖励, Needday:需要天数

export default class M_CumulativeSigninCFG {
  private static data =
      {"1":{"ID":1,"Name":"3天奖励","Display":["23","1","x"],"ItemId":[23],"ItemCount":[1],"FloatingReward":[0],"Needday":3}

      ,"2":{"ID":2,"Name":"6天奖励","Display":["16","30","x"],"ItemId":[16],"ItemCount":[30],"FloatingReward":[0],"Needday":6}

      ,"3":{"ID":3,"Name":"9天奖励","Display":["1","40000","x","5","20","x"],"ItemId":[1,5],"ItemCount":[40000,20],"FloatingReward":[0],"Needday":9}

      ,"4":{"ID":4,"Name":"12天奖励","Display":["1","60000","x","16","50","x"],"ItemId":[1,16],"ItemCount":[60000,50],"FloatingReward":[0],"Needday":12}

      ,"5":{"ID":5,"Name":"15天奖励","Display":["24","1","x","3","话费"],"ItemId":[24],"ItemCount":[1],"FloatingReward":[3,10,13],"Needday":15}

      }// ID:ID, Name:礼包名称, Display:前端显示, ItemId:奖励物品ID, ItemCount:奖励物品数量, FloatingReward:浮动奖励, Needday:需要天数


    static getData(key: any): any {
        if (key == null || key == undefined)
            return null;
        return this.data[key];
    }

    static getAllData(): any {
        return this.data;
    }

}